/* --------------------------------------------------------------
   password_option.js 2019-03-11
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2019 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

gambio.widgets.module('password_option', [], function(data) {
	
	'use strict';
	
	var $this = $(this),
		$body = $('body'),
		$password_inputs = $('div.password-inputs'),
		defaults = {
		},
		options = $.extend(true, {}, defaults, data),
		module = {};
	
	// ########## HELPER FUNCTIONS ##########
	
	// (none)
	
	// ########## INITIALIZATION ##########
	
	/**
	 * Init function of the widget
	 * @constructor
	 */
	module.init = function(done) {
		let $passwordOption = $('#password-option');
		
		$passwordOption.on('change', function() {
			let isChecked = $(this).get(0).checked,
				$passwordInputs = $('div.password-inputs input[type="password"]');
			if(isChecked) {
				$password_inputs.show();
				$passwordInputs.each(function() {
					$(this).removeAttr('disabled');
				});
			} else {
				$password_inputs.hide();
				$passwordInputs.each(function() {
					$(this).attr('disabled', 'disabled');
					$(this).val('');
				});
			}
		});
		$passwordOption.trigger('change');
		
		done();
	};
	
	// Return data to widget engine
	return module;
});
